Text.XML

# Data types

data Document

data Prologue

data Instruction

data Miscellaneous

data Node

data Element

data Name

data Doctype

data ExternalID

# Parsing

## Files

readFile

## Bytes

parseLBS

parseLBS_

sinkDoc

## Text

parseText

parseText_

sinkTextDoc

## Other

fromEvents

data UnresolvedEntityException

data XMLException

# Rendering

writeFile

renderLBS

renderText

renderBytes

# Settings

def

## Parsing

data ParseSettings

psDecodeEntities

psRetainNamespaces

### Entity decoding

decodeXmlEntities

decodeHtmlEntities

## Rendering

data RenderSettings

rsPretty

rsNamespaces

rsAttrOrder

rsUseCDATA

orderAttrs

# Conversion

toXMLDocument

fromXMLDocument

toXMLNode

fromXMLNode

toXMLElement

fromXMLElement